--TEST--
marc_field_002: Create fields with invalid indicators
--FILE--
<?php
$dir = dirname(__FILE__);
require $dir . '/../' . 'MARC.php';

// create some subfields
$subfields[] = new File_MARC_Subfield('a', 'nothing');
$subfields[] = new File_MARC_Subfield('z', 'everything');

// test constructor
$field = new File_MARC_Data_Field('100', $subfields, '$@');

// check for warnings
while ($e = $field->getErrors()->pop()) {
  print $e['message'];
  print "\n";
}

// test basic getter methods
print "Tag: " . $field->getTag() . "\n";
print "Ind1: " . $field->getIndicator(1) . "\n";
print "Ind2: " . $field->getIndicator(2) . "\n";

// test pretty print
print $field;
print "\n"; // test raw print print $field->toRaw();
?>
--EXPECT--
Illegal indicator "$@" in field "100" forced to blank
Tag: 100
Ind1:  
Ind2:  
100    _anothing
       _zeverything
